Skip to main content
POST
/
teams
/
{teamId}
/
members
curl --request POST \
  --url https://api.zeeg.me/v2/teams/{teamId}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "marco.rossi@horizondigital.de",
  "role": "member"
}
'
{
  "success": true,
  "data": {
    "id": 17,
    "role": "member",
    "user": {
      "uuid": "QK566D4X49E8X78",
      "firstName": "Marco",
      "lastName": "Rossi",
      "email": "marco.rossi@horizondigital.de",
      "slug": "marco-rossi"
    },
    "team": {
      "uuid": "73e4761b-5257-4e83-a807-974a3f2f3adc",
      "title": "Customer Success",
      "slug": "customer-success"
    },
    "createdAt": "2026-04-10T09:00:00.000000Z",
    "updatedAt": "2026-04-10T09:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

teamId
string<uuid>
required

The UUID of the team.

Body

application/json
role
enum<string>
required

Role to assign the user within the team.

Available options:
member,
manager
email
string<email>

Email of the user to add. Provide either email or slug, not both.

slug
string

Slug of the user to add. Provide either email or slug, not both.

Response

Created

success
boolean
data
object
Last modified on April 4, 2026